# Class Keycode

java.lang.Object
org.a11y.brlapi.Component
org.a11y.brlapi.NativeComponent
org.a11y.brlapi.Keycode

Direct Known Subclasses:
  `CommandKeycode, DriverKeycode`

public abstract class Keycode extends NativeComponent

## Field Summary

### Fields inherited from class Component

`BYTE_MASK, UNICODE_BRAILLE_ROW`

## Constructor Summary

Constructors
Constructor
Description
`Keycode(long code)`

## Method Summary

Modifier and Type
Method
Description
`final long`
`getCode()`
`String`
`toString()`
`static String`
`toString(long code)`

### Methods inherited from class Component

`getObjectName, getObjectName, printf, toOperandName, toUnicodeBraille, toUnicodeBraille`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Keycode

public Keycode(long code)

## Method Details

### getCode

public final long getCode()

### toString

public static String toString(long code)

### toString

public String toString()

Overrides:
  `toString` in class `Object`